<?


ob_start("ob_gzhandler");

require "include/bittorrent.php";

dbconn();

loggedinorreturn();

stdhead("Tag-Engine");
?>

<script type="text/javascript" >
<!--
function updateXvid()
{
	title = document.getElementById("title").value;
	title = title.split(' ').join('.');
	title = title.replace(/ä/,"ae").replace(/ö/,"oe").replace(/ß/,"ss");
	title = title.replace(/ü/,"ue");
	language = document.getElementById("lang");
	lang = language.options[language.selectedIndex].text;
	langcnt = document.getElementById("langcnt").value;
	if(langcnt == "Eine") {langcnt = "";} else {langcnt += ".";}
	year = document.getElementById("year").value;
	if(year!="") {year+=".";}
	reencode = document.getElementById("reencode");
	reencode = reencode.options[reencode.selectedIndex].text;
	if(reencode=="Ja") {reencode="REENCODE.";} else {reencode ="";}
	source = document.getElementById("source");
	source = source.options[source.selectedIndex].text;
	dubbed = document.getElementById("dubbed");
	dubbed = dubbed.options[dubbed.selectedIndex].value;

	format = document.getElementById("format");
	format = format.options[format.selectedIndex].text;

	res = document.getElementById("result");
	res.value=title+"."+lang+"."+langcnt+year+reencode+source+"."+dubbed+format;
}

function updateDVD()
{
        title = document.getElementById("titleDVD").value;
        title = title.split(' ').join('.');
        title = title.replace(/ä/,"ae").replace(/ö/,"oe").replace(/ß/,"ss");
        title = title.replace(/ü/,"ue");
        language = document.getElementById("langDVD");
        lang = language.options[language.selectedIndex].text;
        langcnt = document.getElementById("langcntDVD").value;
        if(langcnt == "Eine") {langcnt = "";} else {langcnt += ".";}
        year = document.getElementById("yearDVD").value;
        if(year!="") {year+=".";}
        complete = document.getElementById("complete");
        complete = complete.options[complete.selectedIndex].text;
        if(complete=="Ja") {complete="COMPLETE.";} else {complete ="";}
        palntsc = document.getElementById("palntsc");
        palntsc = palntsc.options[palntsc.selectedIndex].text;
        dubbed = document.getElementById("dubbedDVD");
        dubbed = dubbed.options[dubbed.selectedIndex].value;

        format = document.getElementById("formatDVD");
	format = format.options[format.selectedIndex].value;


        res = document.getElementById("result");
        res.value=title+"."+lang+"."+dubbed+langcnt+year+complete+palntsc+"."+format;
}

function updateSerie()
{
        title = document.getElementById("titleSerie").value;
        title = title.split(' ').join('.');
        title = title.replace(/ä/,"ae").replace(/ö/,"oe").replace(/ß/,"ss");
        title = title.replace(/ü/,"ue");
	lang = document.getElementById("langSerie");
	lang = lang.options[lang.selectedIndex].text;
	langcnt = document.getElementById("langcntSerie").value;
	wide = document.getElementById("wide").value;
	source = document.getElementById("sourceSerie").value;

	doku = document.getElementById("doku");
	doku = doku.options[doku.selectedIndex].value;
	format = document.getElementById("formatSerie").value;

	res = document.getElementById("result");
	res.value = title+"."+lang+"."+langcnt+wide+source+"."+doku+format;
}

function updateMusik()
{
	genre	  = document.getElementById("genreMusik");
	genre	  = genre.options[genre.selectedIndex].value;
	interpret = document.getElementById("interpretMusik").value;
	interpret = interpret.split(' ').join('.');
	interpret = interpret.replace(/ä/,"ae").replace(/ö/,"oe").replace(/ß/,"ss");
	interpret = interpret.replace(/ü/,"ue");
	title	  = document.getElementById("titelMusik").value;
	title = title.split(' ').join('.');
        title = title.replace(/ä/,"ae").replace(/ö/,"oe").replace(/ß/,"ss");
        title = title.replace(/ü/,"ue");
	art	 = document.getElementById("artMusik");
	art	 = art.options[art.selectedIndex].value;
	year	 = document.getElementById("yearMusik").value;
	format 	 = document.getElementById("formatMusik");
	format 	 = format.options[format.selectedIndex].text;

	res = document.getElementById("result");
	res.value = genre+interpret+".-."+title+art+"."+year+"."+format;
}

function updatePC()
{
	name = document.getElementById("namePC").value;
	name = name.split(' ').join('.');
	source = document.getElementById("sourcePC");
	source = source.options[source.selectedIndex].value;
         year = document.getElementById("yearPC").value;
         if(year!="") {year+=".";}
	lang = document.getElementById("langPC");
	lang = lang.options[lang.selectedIndex].value;
	rip = document.getElementById("ripPC");
	rip = rip.options[rip.selectedIndex].value;
	tool = document.getElementById("toolPC");
	tool = tool.options[tool.selectedIndex].value;
	format 	 = document.getElementById("formatPC");
	format 	 = format.options[format.selectedIndex].text;

	res = document.getElementById("result");
	res.value = name+source+lang+rip+tool;
}
-->
</script>
<p>

<?
begin_frame("Tag-Engine", true, "70%");
begin_table();
?>
<!--<tr><td align="center">-->
<tr><b>Das ist die <font color="#FF0000">Tracker-Tag-Engine</font>, sie sollte von <font color="#FF0000">Uploadern</font>,INSBESONDERS
von <font color="#FF0000">GastUploadern</font> benutzt werden.</b><br><b> Damit erspart ihr den <font color="#FF0000">GU-Mods</font> viel Arbeit und euch auch !<br>
Sollten noch Unklarheiten sein guckt <a
href="http://webseeds.ath.cx/rules.php">hier</a> nach.</b>
<!--</td></tr>-->
<p>
<table class="clear">
<tr>
         <td class="colhead" colspan="8" align="center"><font color="#FF0000">XViD / xVCD / DivX / h264</font></td>

</tr>
<tr>
	<td>Der deutsche Name des Films.</td>
	<td>Sprache</td>
	<td>#Sprachen</td>
	<td>Jahr</td>
	<td>Reencode?</td>

	<td>Source</td>
	<td>Dubbed/Subbed?</td>
	<td>Format</td>
<tr>
	<td><input type="text" id="title" size="40" onchange="updateXvid()"></td>
	<td><select onchange="updateXvid()" id="lang">
		<option>German</option>

		<option>English</option></select></td>
	<td><select onchange="updateXvid()" id="langcnt">
		<option>Eine</option>
		<option>DL</option>
		<option>ML</option></select></td>
	<td><input type="text" id="year" size="4" onchange="updateXvid()"></td>
	<td><select onchange="updateXvid()" id="reencode">

		<option>Ja</option>
		<option>Nein</option></select></td>
	<td><select onchange="updateXvid()" id="source">
		<option>DVDRip</option>
		<option>TC</option>
		<option>R5</option>

		<option>TS</option>
		<option>CAM</option>
		<option>VODRip</option>
		<option>VHSRip</option>
		</select></td>
	<td><select onchange="updateXvid()" id="dubbed">
		<option value="">Nein</option>

		<option value="LD.">LD</option>
		<option value="MD.">MD</option>
		<option value="Subbed.">Subbed</option>
		<option value="Custom.Subbed.">Custom.Subbed</option></select></td>
	<td><select onchange="updateXvid()" id="format">
		<option>xVCD</option>

		<option>XviD</option>
		<option>DivX</option>
		<option>h264</option></select></td>
</tr>
</table>
<p>
<table class="clear">
<tr>
        <td class="colhead" colspan="8" align="center"><font color="#FF0000">DVDR/DVD9/HDDVD/BLU-RAY</font></td>

</tr>
<tr>
        <td>Der deutsche Name des Films.</td>
        <td>Sprache</td>
        <td>#Sprachen</td>
        <td>Jahr</td>

        <td>Complete?</td>
        <td>PAL/NTSC?</td>
        <td>Dubbed/Subbed?</td>
        <td>Format</td>
<tr>
        <td><input type="text" id="titleDVD" size="40" onchange="updateDVD()"></td>
        <td><select onchange="updateDVD()" id="langDVD">
                <option>German</option>

                <option>English</option></select></td>
        <td><select onchange="updateDVD()" id="langcntDVD">
                <option>Eine</option>
                <option>DL</option>
                <option>ML</option></select></td>
        <td><input type="text" id="yearDVD" size="4" onchange="updateDVD()"></td>

        <td><select onchange="updateDVD()" id="complete">
                <option>Ja</option>

                <option>Nein</option></select></td>
        <td><select onchange="updateDVD()" id="palntsc">
                <option>--PAL-</option>
                <option>--NTSC-</option>
                </select></td>
        <td><select onchange="updateDVD()" id="dubbedDVD">
                <option value="">Nein</option>
                <option value="DUBBED.">Dubbed</option>
                <option value="Subbed.">Subbed</option>
                <option value="Custom.Subbed.">Custom.Subbed</option></select></td>
        <td><select onchange="updateDVD()" id="formatDVD">
                <option>DVDR</option>

                <option>DVD9</option>
                <option>HD</option>
                <option value="BD">BLU</option></select></td>
</tr>
</table>
<p>
<table class="clear">
<tr>
        <td class="colhead" colspan="8" align="center"><font color="#FF0000">Serien/DOKU/Sport</font></td>

</tr>
<tr>
	<td>Titel</td>
	<td>Sprache</td>
	<td>#Sprachen</td>
         <td>Jahr</td>
	<td>Wide/Fullscreen?</td>
	<td>Source</td>

	<td>Doku?</td>
	<td>Format</td>
</tr>
<tr>
	<td><input type="text" size="40" id="titleSerie" onchange="updateSerie()"></td>
	<td><select onchange="updateSerie()" id="langSerie">
		<option>German</option>
		<option>English</option></select></td>

	<td><select onchange="updateSerie()" id="langcntSerie">
		<option value="">Eine</option>
		<option value="DL.">DL</option>
		<option value="ML.">ML</option></select></td>
         <td><input type="text" id="year" size="4" onchange="updateSerie()"></td>
	<td><select onchange="updateSerie()" id="wide">
		<option value="WS.">-Wide-screen-</option>

		<option value="FS.">-Full-screen-</option>
		</select></td>
	<td><select onchange="updateSerie()" id="sourceSerie">
		<option>-HDTV-Rip</option>
		<option>SAT-Rip</option>
		<option>DVD-Rip</option>
		<option>dTV</option>

		<option>PDTV</option>
		<option>TV-Rip</option>
		</select></td>
	<td><select onchange="updateSerie()" id="doku">
		<option value="">Nein</option>
		<option value="DOKU.">Ja</option>
		</select></td>

	<td><select onchange="updateSerie()" id="formatSerie">
		<option>xVCD</option>
		<option>DivX</option>
		<option>XviD</option>
		<option>DVDR</option>
		<option>h264</option>

		</select></td>
</tr>
</table>
<p>
<table class="clear">
<tr>
        <td class="colhead" colspan="8" align="center"><font color="#FF0000">Musik</font></td>
</tr>
<tr>
        <td>Titel</td>

        <td>Interpret</td>
        <td>Jahr</td>
        <td>Genre</td>
        <td>Art?</td>
        <td>Format</td>
</tr>
<tr>

	<td><input type="text" size="40" onchange="updateMusik()" id="titelMusik"></td>
         <td><input type="text" size="26" onchange="updateMusik()" id="interpretMusik"></td>
         <td><input type="text" size="4"  onchange="updateMusik()" id="yearMusik"></td>
        <td><select onchange="updateMusik()" id="genreMusik">
                <option value="[Alternative]">[Alternative]<option value="[Ambient]">[Ambient]<option value="[Blues]">[Blues]<option value="[Charts]">[Charts]<option value="[Comedy]">[Comedy]<option value="[Dance]">[Dance]<option value="[Dancehall]">[Dancehall]<option value="[DnB]">[DnB]<option value="[Electronic]">[Electronic]<option value="[Gothic]">[Gothic]<option value="[Hardcore]">[Hardcore]<option value="[HipHop]">[HipHop]<option value="[House]">[House]<option value="[Indie]">[Indie]<option value="[Industrial]">[Industrial]<option value="--[Instrumental]--">----[Instrumental]---<option value="[Jazz]">[Jazz]<option value="[Klassik]">[Klassik]<option value="[Metal]">[Metal]<option value="[OST]">[OST]<option value="[Other]">[Other]<option value="[Pop]">[Pop]<option value="[Psychedelic]">[Psychedelic]<option value="[Punk]">[Punk]<option value="[Rap]">[Rap]<option value="[Reggae]">[Reggae]<option value="[RnB]">[RnB]<option value="[Rock]">[Rock]<option value="[Ska]">[Ska]<option value="[Soul]">[Soul]<option value="[Swing]">[Swing]<option value="[Techno]">[Techno]<option value="[Trance]">[Trance]<option value="[Trip-Hop]">[Trip-Hop]                </select></td>
        <td><select onchange="updateMusik()" id="artMusik">
                <option value=".Bootleg">Bootleg</option>
                <option value=".Vinyl">Vinyl</option>
                <option value=".Live">Live</option>
		<option value="">Keine Auswahl</option>

                </select></td>
	<td><select onchange="updateMusik()" id="formatMusik">
		<option>MP3</option>
		<option>OGG</option>
		<option>MP4</option>
		<option>FLAC</option>

		</select></td>
</tr>
</table>
<p>
<table class="clear">
<tr>

        <td class="colhead" colspan="8" align="center"><font color="#FF0000">Games</font></td>
</tr>
<tr>
        <td>Name</td>
        <td>Sprache</td>
        <td>Source</td>
        <td>Jahr</td>

        <td>Rip?</td>
        <td>ImageTool</td>
        <td>Format</td>
</tr>
<tr>
        <td><input type="text" size="40" onchange="updatePC()" id="namePC"></td>
	<td><select onchange="updatePC()" id="langPC">
		<option value=".German">German</option>
		<option value=".English">English</option>
		</select></td>
        <td><select onchange="updatePC()" id="sourcePC">
                <option value=".DVD">DVD</option>

                <option value=".DVD9">DVD-9</option>
                <option value=".CD">CD</option>
                </select></td>

         <td><input type="text" size="4"  onchange="updatePC()" id="yearPC"></td>

	<td><select onchange="updatePC()" id="ripPC">
		<option value=".Rip">Ja</option>
		<option value="">Nein</option>
		</select></td>
	<td><select onchange="updatePC()" id="toolPC">
		<option value=".Alcohol.Image">-------Alcohol-Image--------</option>
		<option value=".Blindwrite.Image">-------Blindwrite-Image--------</option>

		<option value=".CloneDVD.Image">-------CloneDVD-Image--------</option>
		</select></td>
	<td><select onchange="updatePC()" id="formatPC">
		<option>ISO</option>
		<option>BIN</option>
		<option>NRG</option>
		<option>CCD</option>
                 <option>MDS</option>
                 </select></td>
</tr>
</table>
<p>
<center>
<table class="clear">
<tr>
        <td class="colhead" colspan="8" align="center"><font color="#FF0000">Torrent Name</font></td>
</tr>
<tr>
<form action="upload.php" method="POST">
<td><input type="text" id="result" size="120" name="result" readonly></td>
</tr>
</center>
<p>
<table>
<input type="submit" class=btn value="Fertig!" />
</form>
<tr><td align="left">
<ul>
<li>Der erstellte Torrentname darf nur in AUSNAHMEFÄLLELEN geändert
werden (z.B. READ.NFO
einfügenen)
<li>Es dürfen keine Crew Tags angehängt werden
<li>Erlaubt sind die Zeichen a bis z A bis Z  0 - 9 und  () [] - _ .
</ul>
</td></tr>
<?
end_table();
end_frame();
stdfoot();
?>